CREATE DATABASE spreadsheet;

use spreadsheet;
create table salary_v3
(  grs_salary float(8,2) not null,
   vat float(8,2) not null,
   accountancy float(8,2) not null,
   userID integer
);
create table spreadsheet_v3
(  monthID integer auto_increment,
   month char(5) not null,
   invoiced float(8,2) not null,
   vat_amount float(8,2) not null,
   grs_amount float(8,2) not null,
   vat_payable float(8,2) not null,
   vat_surplus float(8,2) not null,
   accountancy float(8,2) not null,
   tax float(8,2) not null,
   ni_ees float(8,2) not null,
   ni_ers float(8,2) not null,
   net_salary float(8,2) not null,
   expenses float(8,2) not null,
   interest float(8,2) not null,
   other_rev float(8,2) not null,
   pension float(8,2) not null,
   deductions float(8,2) not null,
   corporation_tax float(8,2) not null,
   exp_div float(8,2) not null,
   exp_pickup float(8,2) not null,
   rec_div float(8,2) not null,
   diff float(8,2) not null,
   retention float(8,2) not null,
   comments char(100),
   grs_salary float(8,2) not null,
   vat float(8,2) not null,
   userID integer,
   yearID integer,
   primary key (monthID)
);
create table user_v3
(  userID integer auto_increment,
   name varchar(30),
   email varchar(40),
   password char(34),
   primary key (userID)
);
create table year_v3
(  yearID integer auto_increment,
   year varchar(30),
   primary key (yearID)
);

insert into year_v3 (yearID, year) values ('1', '2007-2008');
insert into year_v3 (yearID, year) values ('2', '2008-2009');
insert into year_v3 (yearID, year) values ('3', '2009-2010');
insert into year_v3 (yearID, year) values ('4', '2010-2011');
insert into year_v3 (yearID, year) values ('5', '2011-2012');
insert into year_v3 (yearID, year) values ('6', '2012-2013');


CREATE table display_columns (
	columnID integer,
	show_invoiced char(1),
	show_vat char(1),
	show_gross char(1),
	show_vat_payable char(1),
	show_vat_surplus char(1),
	show_accountancy char(1),
	show_gross_salary char(1),
	show_tax char(1),
	show_employees_ni char(1),
	show_employers_ni char(1),
	show_net_salary char(1),
	show_expenses char(1),
	show_interest char(1),
	show_other_rev char(1),
	show_pension char(1),
	show_deductions char(1),
	show_corporation_tax char(1),
	show_exp_div char(1),
	show_exp_pickup char(1),
	show_div_rec char(1),
	show_diff char(1),
	show_retention char(1),
	show_comments char(1),
	primary key (columnID)
);


insert into display_columns (columnID, show_invoiced) values ('1', 'Y');


update display_columns set show_vat='Y' where columnID='1';
update display_columns set show_gross='Y' where columnID='1';
update display_columns set show_vat_payable='Y' where columnID='1';
update display_columns set show_vat_surplus='Y' where columnID='1';
update display_columns set show_accountancy='Y' where columnID='1';
update display_columns set show_gross_salary='Y' where columnID='1';
update display_columns set show_tax='Y' where columnID='1';
update display_columns set show_employees_ni='Y' where columnID='1';
update display_columns set show_employers_ni='Y' where columnID='1';
update display_columns set show_net_salary='Y' where columnID='1';
update display_columns set show_expenses='Y' where columnID='1';
update display_columns set show_interest='Y' where columnID='1';
update display_columns set show_other_rev='Y' where columnID='1';
update display_columns set show_pension ='Y' where columnID='1';
update display_columns set show_deductions='Y' where columnID='1';
update display_columns set show_corporation_tax='Y' where columnID='1';
update display_columns set show_exp_div='Y' where columnID='1';
update display_columns set show_exp_pickup='Y' where columnID='1';
update display_columns set show_div_rec='Y' where columnID='1';
update display_columns set show_diff='Y' where columnID='1';
update display_columns set show_retention='Y' where columnID='1';
update display_columns set show_comments='Y' where columnID='1';


create table dividend_payments
(  
	dividendID integer auto_increment,
	dividend_amount float(8,2) not null,
	tax_credit float(8,2) not null,
   	gross_dividend float(8,2) not null,
   	period varchar(30),
   	year_end varchar(30),
   	meeting_date varchar(30),
   	company varchar(50),
   	company_address_line_1 varchar(50),
   	company_address_line_2 varchar(50),
   	company_address_line_3 varchar(50),
   	company_address_line_4 varchar(50),
   	holding integer not null,
   	dividend_rate float(8,2) not null,
   	recipient_name varchar(50),
   	recipient_address_line_1 varchar(50),
   	recipient_address_line_2 varchar(50),
   	recipient_address_line_3 varchar(50),
   	recipient_address_line_4 varchar(50),
   	userID integer,
   	primary key (dividendID)
);
